// DShowEncoderDlg.h : header file
//

#if !defined(AFX_DSHOWENCODERDLG_H__34CB384E_3CCA_4C39_8FFF_EE0B9876D32F__INCLUDED_)
#define AFX_DSHOWENCODERDLG_H__34CB384E_3CCA_4C39_8FFF_EE0B9876D32F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DSEncoder.h"

/////////////////////////////////////////////////////////////////////////////
// CDShowEncoderDlg dialog

class CDShowEncoderDlg : public CDialog
{
// Construction
public:
	CDShowEncoderDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDShowEncoderDlg)
	enum { IDD = IDD_DSHOWENCODER_DIALOG };
	CListBox	m_ctlFormatList;
	CListBox	m_ctlCodecList;
	CString	m_szSrcFileName;
	CString	m_szDestFileName;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDShowEncoderDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CDSEncoder	m_encoder;

	// Generated message map functions
	//{{AFX_MSG(CDShowEncoderDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnBrowseSrc();
	afx_msg void OnBtnBrowseDest();
	afx_msg void OnBtnEncode();
	afx_msg void OnSelchangeListCodec();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSHOWENCODERDLG_H__34CB384E_3CCA_4C39_8FFF_EE0B9876D32F__INCLUDED_)
